Sikkerhedsindholdet i iOS 8.4

Dette dokument indeholder en beskrivelse af sikkerhedsindholdet i iOS 8.4.

Af hensyn til vores kunders sikkerhed omtaler, diskuterer eller bekræfter Apple ikke sikkerhedsanliggender, før en fuldstændig undersøgelse har fundet sted, og de relevante programrettelser eller versioner er tilgængelige. Læs mere om Apple-produktsikkerhed på webstedet om Apple-produktsikkerhed.

Du kan finde flere oplysninger om PGP-nøglen til Apple-produktsikkerhed i artiklen Sådan bruges PGP-nøglen til Apple Produktsikkerhed.

Hvor det er muligt, bruges der CVE-id'er som reference til yderligere oplysninger om sårbarheder.

Du kan læse om andre sikkerhedsopdateringer i artiklen Apple-sikkerhedsopdateringer.

iOS 8.4

  • Application Store

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En skadelig app til universelle klargøringsbeskrivelser kan forhindre apps i at åbne

    Beskrivelse: Der opstod et problem med installeringslogikken for apps til universelle klargøringsbeskrivelser, som medførte en kollision med eksisterende pakke-id'er. Problemet er løst ved forbedret kontrol af kollision.

    CVE-id

    CVE-2015-3722: Zhaofeng Chen, Hui Xue og Tao Wei fra FireEye, Inc.
  • Politik for certifikatgodkendelse

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En hacker med en privilegeret netværksposition kan muligvis opfange netværkstrafik

    Beskrivelse: Der blev udstedt et midlertidigt certifikat af certifikatmyndigheden CNNIC ved en fejl. Problemet er løst ved at tilføje en mekanisme udelukkende til godkendelse af et undersæt af certifikater, som blev udstedt inden det forkerte certifikat. Her kan du læse mere om sikkerhedslisten for delvis godkendelse.

  • Politik for certifikatgodkendelse

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Opdatering af politikken for certifikatgodkendelse

    Beskrivelse: Politikken for certifikatgodkendelse blev opdateret. Du kan se den komplette liste med certifikater i iOS Trust Store.

  • CFNetwork HTTPAuthentication

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Åbning af en skadelig URL kan medføre vilkårlig kørsel af kode

    Beskrivelse: Der opstod et problem med beskadiget hukommelse ved behandling af visse URL-legitimationsoplysninger. Problemet er løst ved forbedret behandling af hukommelsen.

    CVE-id

    CVE-2015-3684: Apple

  • CoreGraphics

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Åbning af et skadeligt PDF-arkiv kan medføre pludselig programlukning eller muliggøre kørsel af vilkårlig kode

    Beskrivelse: Der opstod flere problemer med beskadiget hukommelse ved behandling af ICC-beskrivelser. Problemerne er løst ved forbedret håndtering af hukommelsen.

    CVE-id

    CVE-2015-3723: chaithanya (SegFault), der arbejder for HP's Zero Day Initiative

    CVE-2015-3724: WanderingGlitch fra HP's Zero Day Initiative

  • CoreText

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Behandling af et skadeligt tekstarkiv kan medføre pludselig programnedbrud eller vilkårlig kørsel af kode

    Beskrivelse: Der opstod flere problemer med beskadiget hukommelse ved behandling af tekstarkiver. Problemerne er løst ved forbedret kontrol af grænser.

    CVE-id

    CVE-2015-1157

    CVE-2015-3685: Apple

    CVE-2015-3686: John Villamil (@day6reak), Yahoo Pentest Team

    CVE-2015-3687: John Villamil (@day6reak), Yahoo Pentest Team

    CVE-2015-3688: John Villamil (@day6reak), Yahoo Pentest Team

    CVE-2015-3689: Apple

  • coreTLS

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En hacker med en privilegeret netværksposition kan opfange SSL/TLS-forbindelser

    Beskrivelse: coreTLS accepterede korte, kortvarige DH-nøgler (Diffie-Hellman), som bruges i kortvarige DH-chiffer-suiter med eksportstyrke. Problemet, der også kaldes Logjam, gjorde det muligt for en hacker med en privilegeret netværksposition at nedgradere sikkerheden til 512-bit DH, hvis serveren understøttede en kortvarig DH-chiffer-suite med eksportstyrke. Problemet er løst ved at øge standardminimumgrænsen for kortvarige DH-nøgler til 768 bit.

    CVE-id

    CVE-2015-4000: weakdh-teamet fra weakdh.org, Hanno Boeck

  • DiskImages

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Et skadeligt program kan muligvis aflæse opsætningen af kernehukommelsen

    Beskrivelse: Der opstod et problem med afsløring af oplysninger ved behandling af diskbilleder. Problemet blev løst ved forbedret hukommelsesstyring.

    CVE-id

    CVE-2015-3690: Peter Rutenbar, som arbejder for HP's Zero Day Initiative

  • FontParser

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Behandling af et skadeligt skriftarkiv kan medføre pludselig programnedbrud eller vilkårlig kørsel af kode

    Beskrivelse: Der var flere problemer med beskadiget hukommelse ved behandling af skriftarkiver. Problemerne blev løst ved forbedret godkendelse af input.

    CVE-id

    CVE-2015-3694: John Villamil (@day6reak), Yahoo Pentest Team

    CVE-2015-3719: John Villamil (@day6reak), Yahoo Pentest Team

  • ImageIO

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Behandling af et skadeligt .tiff-arkiv kan medføre pludselig programlukning eller vilkårlig kørsel af kode

    Beskrivelse: Der opstod et problem med beskadiget hukommelse ved behandling af .tiff-arkiver. Problemet er løst ved forbedret kontrol af grænser.

    CVE-id

    CVE-2015-3703: Apple

  • ImageIO

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Der er flere sikkerhedsrisici i libtiff, hvoraf de alvorligste kan medføre kørsel af vilkårlig kode

    Beskrivelse: Der findes flere sikkerhedsrisici i libtiff inden version 4.0.4. Problemet er løst ved at opdatere libtiff til version 4.0.4.

    CVE-id

    CVE-2014-8127

    CVE-2014-8128

    CVE-2014-8129

    CVE-2014-8130
     

  • Kernel

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Et skadeligt program kan muligvis aflæse opsætningen af kernehukommelsen

    Beskrivelse: Der opstod et problem med hukommelsesstyring ved behandling af HFS-parametre, som kunne have medført afsløring af kernehukommelsens opsætning. Problemet blev løst ved forbedret hukommelsesstyring.

    CVE-id

    CVE-2015-3721: Ian Beer fra Google Project Zero
  • Mail

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En skadelig e-mail kan erstatte beskedens indhold med en vilkårlig webside, når beskeden vises

    Beskrivelse: Der opstod et problem med understøttelse af HTML-baseret e-mail, der gjorde det muligt at opdatere indholdet i en besked med en vilkårlig webside. Problemet er løst ved begrænset understøttelse af HTML-indhold.

    CVE-id

    CVE-2015-3710: Aaron Sigel fra vtty.com, Jan Souček
  • MobileInstallation

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En skadelig app til universelle klargøringsbeskrivelser kan forhindre en Watch-app i at åbne

    Beskrivelse: Der opstod et problem med installeringslogikken for apps til universelle klargøringsbeskrivelser på Watch, som medførte en kollision med eksisterende pakke-id'er. Problemet er løst ved forbedret kontrol af kollision.

    CVE-id

    CVE-2015-3725: Zhaofeng Chen, Hui Xue og Tao Wei fra FireEye, Inc.

  • Safari

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Indlæsning af et skadeligt websted kan udgøre en risiko for brugeroplysningerne i arkivsystemet

    Beskrivelse: Der opstod et problem med statusadministration i Safari, som gjorde det muligt for startpunkter uden rettigheder at få adgang til indholdet i arkivsystemet. Problemet er løst ved forbedret statusadministration.

    CVE-id

    CVE-2015-1155: Joe Vennix fra Rapid7 Inc., der arbejder for HP's Zero Day Initiative
     

  • Safari

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Et besøg på et skadeligt websted kan medføre overtagelse af konti

    Beskrivelse: Der opstod et problem, hvor Safari bevarede startpunktsanmodningsheaderen til cross-origin-omdirigeringer, så det var muligt for skadelige websteder at omgå CSRF-beskyttelse. Problemet er løst ved forbedret behandling af omdirigeringer.

    CVE-id

    CVE-2015-3658: Brad Hill fra Facebook
  • Sikkerhed

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En hacker kan forårsage uventet programlukning eller kørsel af vilkårlig kode

    Beskrivelse: Der opstod et problem med heltalsoverløb i sikkerheds-frameworkskoden til parsing af S/MIME-e-mail og visse andre signerede eller krypterede objekter. Problemet er løst ved forbedret kontrol af godkendelse.

    CVE-id

    CVE-2013-1741

  • SQLite

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En hacker kan forårsage uventet programlukning eller kørsel af vilkårlig kode

    Beskrivelse: Der var flere bufferoverløb i SQLites implementering af printf. Problemerne er løst ved forbedret kontrol af grænser.

    CVE-id

    CVE-2015-3717: Peter Rutenbar, som arbejder for HP's Zero Day Initiative

  • SQLite

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: En skadelig SQL-kommando kan tillade pludselig programlukning eller kørsel af vilkårlig kode

    Beskrivelse: Der var et API-problem i SQLite-funktionen. Problemet er løst ved forbedrede begrænsninger.

    CVE-id

    CVE-2015-7036: Peter Rutenbar, som arbejder for HP's Zero Day Initiative

  • Telefoni

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Skadelige SIM-kort kan medføre kørsel af vilkårlig kode

    Beskrivelse: Der opstod flere problemer med godkendelse af input ved parsing af SIM/UIM-data. Problemerne er løst ved forbedret godkendelse af data.

    CVE-id

    CVE-2015-3726: Matt Spisak fra Endgame

  • WebKit

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Indlæsning af et skadeligt websted ved klik på et link kan medføre manipulation med brugergrænsefladen

    Beskrivelse: Der opstod et problem med behandling af attributten rel i ankerelementer. Målobjekter kunne opnå uautoriseret adgang til linkobjekter. Problemet er løst ved forbedret godkendelse af linktypeoverholdelse.

    CVE-id

    CVE-2015-1156: Zachary Durber fra Moodle
  • WebKit

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Et besøg på et skadeligt websted kan medføre pludselig programlukning eller kørsel af vilkårlig kode

    Beskrivelse: Der var flere problemer med beskadiget hukommelse i WebKit. Problemerne er løst ved forbedret håndtering af hukommelsen.

    CVE-id

    CVE-2015-1152: Apple

    CVE-2015-1153: Apple

  • WebKit

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Et besøg på en skadelig webside kan medføre uventet programlukning eller kørsel af vilkårlig kode

    Beskrivelse: Der opstod et problem med utilstrækkelig sammenligning i SQLite-authorizer, som gjorde det muligt at aktivere vilkårlige SQL-funktioner. Problemet er løst ved forbedret godkendelseskontrol.

    CVE-id

    CVE-2015-3659: Peter Rutenbar, der arbejder sammen med HP's Zero Day Initiative

  • WebKit

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: Et skadeligt websted kan få adgang til WebSQL-databaserne for andre websteder

    Beskrivelse: Der opstod et problem med godkendelseskontrol ved omdøbning af WebSQL-tabeller, som kunne give et skadeligt websted adgang til databaser, der tilhører andre websteder. Problemet er løst ved forbedret godkendelseskontrol.

    CVE-id

    CVE-2015-3727: Peter Rutenbar, der arbejder for HP's Zero Day Initiative

  • Wi-Fi-forbindelse

    Fås til: iPhone 4s, iPod touch (5. generation) og iPad 2 og nyere modeller af disse enheder

    Effekt: iOS-enheder knyttes muligvis automatisk til ikke-godkendte adgangspunkter med et kendt ESSID og en nedgraderet sikkerhedstype

    Beskrivelse: Der opstod et problem med utilstrækkelig sammenligning i Wi-Fi-managers vurdering af reklamer på kendte adgangspunkter. Problemet er løst ved forbedret match af sikkerhedsparametre.

    CVE-id

    CVE-2015-3728: Brian W. Gray fra Carnegie Mellon University, Craig Young fra TripWire

Oplysninger om produkter, der ikke er produceret af Apple, eller uafhængige websteder, der ikke styres eller testes af Apple, leveres uden Apples anbefaling eller godkendelse. Apple påtager sig intet ansvar, hvad angår valg, ydeevne eller brug af websteder eller produkter fra andre producenter. Apple giver ingen erklæringer med hensyn til nøjagtigheden eller pålideligheden af websteder fra andre producenter. Kontakt producenten for at få flere oplysninger.

Udgivelsesdato: